const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'by_domain', domain: 'stripe.com'})
};
fetch('https://api.context.dev/v1/brand/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>",
"brand": {
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"slogan": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>",
"source": "site"
}
],
"logos": [
{
"url": "<string>",
"mode": "light",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
},
"type": "icon"
}
],
"backdrops": [
{
"url": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
}
}
],
"socials": [
{
"type": "x",
"url": "<string>"
}
],
"address": {
"street": "<string>",
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"state_province": "<string>",
"state_code": "<string>",
"postal_code": "<string>"
},
"stock": {
"ticker": "<string>",
"exchange": "<string>"
},
"employees": {
"range": "1 to 10",
"exact": 123
},
"is_nsfw": true,
"email": "<string>",
"phone": "<string>",
"industries": {
"eic": [
{
"industry": "Aerospace & Defense",
"subindustry": "Defense Systems & Military Hardware"
}
]
},
"links": {
"careers": "<string>",
"privacy": "<string>",
"terms": "<string>",
"contact": "<string>",
"blog": "<string>",
"pricing": "<string>"
},
"primary_language": "afrikaans"
},
"code": 123,
"cache_metadata": {
"status": "hit",
"age_ms": 1
},
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"partial": true,
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "RATE_LIMITED",
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}Retrieve a brand
Retrieve logos, colors, company details, and social links using one lookup identifier. A direct URL limits extraction to that page.
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'by_domain', domain: 'stripe.com'})
};
fetch('https://api.context.dev/v1/brand/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "<string>",
"brand": {
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"slogan": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>",
"source": "site"
}
],
"logos": [
{
"url": "<string>",
"mode": "light",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
},
"type": "icon"
}
],
"backdrops": [
{
"url": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
}
}
],
"socials": [
{
"type": "x",
"url": "<string>"
}
],
"address": {
"street": "<string>",
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"state_province": "<string>",
"state_code": "<string>",
"postal_code": "<string>"
},
"stock": {
"ticker": "<string>",
"exchange": "<string>"
},
"employees": {
"range": "1 to 10",
"exact": 123
},
"is_nsfw": true,
"email": "<string>",
"phone": "<string>",
"industries": {
"eic": [
{
"industry": "Aerospace & Defense",
"subindustry": "Defense Systems & Military Hardware"
}
]
},
"links": {
"careers": "<string>",
"privacy": "<string>",
"terms": "<string>",
"contact": "<string>",
"blog": "<string>",
"pricing": "<string>"
},
"primary_language": "afrikaans"
},
"code": 123,
"cache_metadata": {
"status": "hit",
"age_ms": 1
},
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"partial": true,
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"required_permission": "logs:read",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "RATE_LIMITED",
"request_id": "3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}Authorizations
Send Authorization: Bearer <API_KEY>. Keys have full access unless restricted to scopes.
Body
- By domain
- By name
- By email
- By stock
- By direct URL
- By transaction
One lookup, chosen by type.
Discriminator for domain-based brand retrieval.
by_domain Domain name to retrieve brand data for (e.g., 'stripe.com').
3Language, e.g. english.
afrikaans, albanian, amharic, arabic, armenian, assamese, aymara, azeri, basque, belarusian, bengali, bosnian, bulgarian, burmese, cantonese, catalan, cebuano, chinese, corsican, croatian, czech, danish, dutch, english, esperanto, estonian, farsi, fijian, finnish, french, galician, georgian, german, greek, guarani, gujarati, haitian-creole, hausa, hawaiian, hebrew, hindi, hmong, hungarian, icelandic, igbo, indonesian, irish, italian, japanese, javanese, kannada, kazakh, khmer, kinyarwanda, korean, kurdish, kyrgyz, lao, latin, latvian, lingala, lithuanian, luxembourgish, macedonian, malagasy, malay, malayalam, maltese, maori, marathi, mongolian, nepali, norwegian, odia, oromo, pashto, pidgin, polish, portuguese, punjabi, quechua, romanian, russian, samoan, scottish-gaelic, serbian, sesotho, shona, sindhi, sinhala, slovak, slovene, somali, spanish, sundanese, swahili, swedish, tagalog, tajik, tamil, tatar, telugu, thai, tibetan, tigrinya, tongan, tswana, turkish, turkmen, ukrainian, urdu, uyghur, uzbek, vietnamese, welsh, wolof, xhosa, yiddish, yoruba, zulu Optional parameter to optimize the API call for maximum speed. When set to true, the API will skip time-consuming operations for faster response at the cost of less comprehensive data.
Maximum age of cached brand data in ms. Defaults to 3 months; clamped to 0–1 year. 0 refreshes.
Request deadline and what to return when it passes.
Show child attributes
Show child attributes
Labels for filtering usage in the dashboard.
201 - 50["production", "team-alpha"]
Response
Successful response
Always ok on success.
Detailed brand information
Show child attributes
Show child attributes
HTTP status code
Whether this response came from cache.
Show child attributes
Show child attributes
Unique ID of this request, also in X-Request-Id. Include it when contacting support.
"3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91"
True when the timeout ended processing and this response contains the usable data completed so far. Unfinished fields are omitted.
Credits this request used and your remaining balance.
Show child attributes
Show child attributes
Was this page helpful?